Summary: Extract files from MS-TNEF attachments like WINMAIL.DAT
Name: tnef
Version: 1.4.18
Release: 2%{?dist}
License: GPL-2.0-or-later
Group: Applications/Archiving
URL: https://github.com/verdammelt/tnef
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: http://dl.sf.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
# Patches >=100 will/should be fixed in SCM
Patch100: tnef-1.4.18-master-20240724.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
TNEF provides a way to unpack those pesky Microsoft MS-TNEF MIME
attachments. It operates like tar in order to upack any files
which may have been put into the MS-TNEF attachment instead of
being attached seperately.

%prep
%setup -q
%patch100 -p1 -b .master

%build
autoreconf
%configure
%{__make}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__make} install DESTDIR=%{buildroot} INSTALL="install -p"

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog COPYING NEWS README.md THANKS
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Wed Jul 24 2024 Simon Matter <simon.matter@invoca.ch> 1.4.18-2
- add patch with current master

* Mon Jan 10 2022 Simon Matter <simon.matter@invoca.ch> 1.4.18-1
- upgrade to 1.4.18

* Wed Nov 05 2014 Simon Matter <simon.matter@invoca.ch> 1.4.12-1
- upgrade to 1.4.12

* Wed Apr 18 2012 Simon Matter <simon.matter@invoca.ch> 1.4.9-1
- initial build
